<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne a a letra mias repetida de uma string
        */
        function mostUsedChar(text) {
            // implementar logica aqui

            let index = 0;
            let current = 0;
            let count = 0;

            let letters_arr = text.toLowerCase().split("");
            for(let i = 0; i < letters_arr.length; i++) {
                for(let n = 0; n < letters_arr.length; n++) {
                    if (letters_arr[i] == letters_arr[n]) {
                        current++;                        
                    }

                    if (current > count){
                        count = current;
                        index = i;
                    }
                }
                current = 0;
            }

            return letters_arr[index]
        }

        // Resultados esperados
        console.log(mostUsedChar("fdgdfgff"), 'f') // f
        console.log(mostUsedChar("Lorem ipsum"), 'm') // m
        console.log(mostUsedChar("adsassdasd"), 's') // s
        console.log(mostUsedChar("testeeeee"), 'e') // e

    </script>
</body>

</html>